/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.*;
import com.tofly.watermeter.entity.Bwrksbdatail;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 入库水表明细表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface BwrksbdatailService extends IService<Bwrksbdatail> {

    int insertBatch(List<Bwrksbdatail> sbList, Bwrksbdatail sbAll);

    Bwrksbdatail getBySbbh(String sbbh);

    boolean install(Bwrksbdatail bwrksbdatail);

    IPage<BwsbazTemp> excelAz(Page page, MultipartFile file);

    boolean deleteTemp(List<String> sbbh);

    boolean batchImport(SbInfo infos);

    boolean exchange(CustomHbdetail bwhbdatail);

    boolean exchangeApp(CustomHbdetail bwhbdatail);

    Long getNumAndQz(Long rkId);

    IPage<Map> getsbkc(Page page, String bwSbcj, String bwSbkj, String bwSblx);

    IPage<Map> getInstall(Page page, Statistic statistic);


    IPage<Map> getCkSb(Page page, Statistic statistic);

    List<Map> getHb(Statistic statistic , HttpServletResponse response);


    IPage<Bwrksbdatail> getHbInfo(Page page, Statistic statistic);

    IPage<Map> getScrapInfo(Long cj, Long kj, Long lx, String state);

    boolean delteInsatll(Long id);


    Bwrksbdatail getByYhbh(String yhbh);
}
